]> gcc.gnu.org Git - gcc.git/blame - libbanshee/Makefile.in
missed in previous commit
[gcc.git] / libbanshee / Makefile.in
CommitLineData
159d5224 1# Makefile.in generated by automake 1.8.5 from Makefile.am.
6de9cd9a
DN
2# @configure_input@
3
159d5224
PB
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004 Free Software Foundation, Inc.
6de9cd9a
DN
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
6de9cd9a
DN
16srcdir = @srcdir@
17top_srcdir = @top_srcdir@
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22top_builddir = .
6de9cd9a
DN
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24INSTALL = @INSTALL@
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
159d5224
PB
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/../install-sh \
38 $(srcdir)/../missing $(srcdir)/../mkinstalldirs \
39 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40 $(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
41 ChangeLog INSTALL NEWS
42ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno configure.status.lineno
48mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
49CONFIG_HEADER = config.h
50CONFIG_CLEAN_FILES =
51SOURCES =
52DIST_SOURCES =
53RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54 html-recursive info-recursive install-data-recursive \
55 install-exec-recursive install-info-recursive \
56 install-recursive installcheck-recursive installdirs-recursive \
57 pdf-recursive ps-recursive uninstall-info-recursive \
58 uninstall-recursive
59ETAGS = etags
60CTAGS = ctags
61DIST_SUBDIRS = $(SUBDIRS)
62DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
63distdir = $(PACKAGE)-$(VERSION)
64top_distdir = $(distdir)
65am__remove_distdir = \
66 { test ! -d $(distdir) \
67 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
68 && rm -fr $(distdir); }; }
69DIST_ARCHIVES = $(distdir).tar.gz
70GZIP_ENV = --best
71distuninstallcheck_listfiles = find . -type f -print
72distcleancheck_listfiles = find . -type f -print
6de9cd9a
DN
73ACLOCAL = @ACLOCAL@
74AMDEP_FALSE = @AMDEP_FALSE@
75AMDEP_TRUE = @AMDEP_TRUE@
76AMTAR = @AMTAR@
77AUTOCONF = @AUTOCONF@
78AUTOHEADER = @AUTOHEADER@
79AUTOMAKE = @AUTOMAKE@
80AWK = @AWK@
81CC = @CC@
82CCDEPMODE = @CCDEPMODE@
83CFLAGS = @CFLAGS@
84CPP = @CPP@
85CPPFLAGS = @CPPFLAGS@
86CYGPATH_W = @CYGPATH_W@
87DEFS = @DEFS@
88DEPDIR = @DEPDIR@
89ECHO_C = @ECHO_C@
90ECHO_N = @ECHO_N@
91ECHO_T = @ECHO_T@
92EGREP = @EGREP@
93EXEEXT = @EXEEXT@
94INSTALL_DATA = @INSTALL_DATA@
95INSTALL_PROGRAM = @INSTALL_PROGRAM@
96INSTALL_SCRIPT = @INSTALL_SCRIPT@
97INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
98LDFLAGS = @LDFLAGS@
99LIBOBJS = @LIBOBJS@
100LIBS = @LIBS@
101LTLIBOBJS = @LTLIBOBJS@
102MAINT = @MAINT@
103MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
104MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
105MAKEINFO = @MAKEINFO@
106OBJEXT = @OBJEXT@
107PACKAGE = @PACKAGE@
108PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
109PACKAGE_NAME = @PACKAGE_NAME@
110PACKAGE_STRING = @PACKAGE_STRING@
111PACKAGE_TARNAME = @PACKAGE_TARNAME@
112PACKAGE_VERSION = @PACKAGE_VERSION@
113PATH_SEPARATOR = @PATH_SEPARATOR@
114RANLIB = @RANLIB@
115SET_MAKE = @SET_MAKE@
116SHELL = @SHELL@
117STRIP = @STRIP@
118VERSION = @VERSION@
119ac_ct_CC = @ac_ct_CC@
120ac_ct_RANLIB = @ac_ct_RANLIB@
121ac_ct_STRIP = @ac_ct_STRIP@
122ac_libbanshee_warn_cflags = @ac_libbanshee_warn_cflags@
123am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
124am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
125am__include = @am__include@
126am__leading_dot = @am__leading_dot@
127am__quote = @am__quote@
128bindir = @bindir@
129build_alias = @build_alias@
130datadir = @datadir@
131exec_prefix = @exec_prefix@
132host_alias = @host_alias@
133includedir = @includedir@
134infodir = @infodir@
135install_sh = @install_sh@
136libdir = @libdir@
137libexecdir = @libexecdir@
138localstatedir = @localstatedir@
139mandir = @mandir@
159d5224 140mkdir_p = @mkdir_p@
6de9cd9a
DN
141oldincludedir = @oldincludedir@
142prefix = @prefix@
143program_transform_name = @program_transform_name@
144sbindir = @sbindir@
145sharedstatedir = @sharedstatedir@
146sysconfdir = @sysconfdir@
147target_alias = @target_alias@
148SUBDIRS = engine points-to libcompat
149# Work around what appears to be a GNU make bug handling MAKEFLAGS
150# values defined in terms of make variables, as is the case for CC and
151# friends when we are called from the top level Makefile.
152AM_MAKEFLAGS = \
153 "AR_FLAGS=$(AR_FLAGS)" \
154 "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
155 "CFLAGS=$(CFLAGS)" \
156 "CXXFLAGS=$(CXXFLAGS)" \
157 "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
158 "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
159 "INSTALL=$(INSTALL)" \
160 "INSTALL_DATA=$(INSTALL_DATA)" \
161 "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
162 "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
163 "LDFLAGS=$(LDFLAGS)" \
164 "LIBCFLAGS=$(LIBCFLAGS)" \
165 "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
166 "MAKE=$(MAKE)" \
167 "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
168 "PICFLAG=$(PICFLAG)" \
169 "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
170 "SHELL=$(SHELL)" \
171 "EXPECT=$(EXPECT)" \
172 "RUNTEST=$(RUNTEST)" \
173 "RUNTESTFLAGS=$(RUNTESTFLAGS)" \
174 "exec_prefix=$(exec_prefix)" \
175 "infodir=$(infodir)" \
176 "libdir=$(libdir)" \
177 "prefix=$(prefix)" \
178 "tooldir=$(tooldir)" \
179 "AR=$(AR)" \
180 "AS=$(AS)" \
181 "CC=$(CC)" \
182 "CXX=$(CXX)" \
183 "LD=$(LD)" \
184 "LIBCFLAGS=$(LIBCFLAGS)" \
185 "NM=$(NM)" \
186 "PICFLAG=$(PICFLAG)" \
187 "RANLIB=$(RANLIB)" \
188 "DESTDIR=$(DESTDIR)"
189
6de9cd9a
DN
190all: config.h
191 $(MAKE) $(AM_MAKEFLAGS) all-recursive
192
193.SUFFIXES:
159d5224
PB
194am--refresh:
195 @:
196$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
197 @for dep in $?; do \
198 case '$(am__configure_deps)' in \
199 *$$dep*) \
200 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
201 cd $(srcdir) && $(AUTOMAKE) --gnu \
202 && exit 0; \
203 exit 1;; \
204 esac; \
205 done; \
206 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
6de9cd9a
DN
207 cd $(top_srcdir) && \
208 $(AUTOMAKE) --gnu Makefile
159d5224
PB
209.PRECIOUS: Makefile
210Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
211 @case '$?' in \
212 *config.status*) \
213 echo ' $(SHELL) ./config.status'; \
214 $(SHELL) ./config.status;; \
215 *) \
216 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
217 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
218 esac;
219
220$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
6de9cd9a 221 $(SHELL) ./config.status --recheck
6de9cd9a 222
159d5224
PB
223$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
224 cd $(srcdir) && $(AUTOCONF)
225$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
6de9cd9a
DN
226 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
227
228config.h: stamp-h1
229 @if test ! -f $@; then \
230 rm -f stamp-h1; \
231 $(MAKE) stamp-h1; \
232 else :; fi
233
234stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
235 @rm -f stamp-h1
236 cd $(top_builddir) && $(SHELL) ./config.status config.h
159d5224 237$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
6de9cd9a 238 cd $(top_srcdir) && $(AUTOHEADER)
159d5224
PB
239 rm -f stamp-h1
240 touch $@
6de9cd9a
DN
241
242distclean-hdr:
243 -rm -f config.h stamp-h1
244uninstall-info-am:
245
246# This directory's subdirectories are mostly independent; you can cd
247# into them and run `make' without going through this Makefile.
248# To change the values of `make' variables: instead of editing Makefiles,
249# (1) if the variable is set in `config.status', edit `config.status'
250# (which will cause the Makefiles to be regenerated when you run `make');
251# (2) otherwise, pass the desired values on the `make' command line.
252$(RECURSIVE_TARGETS):
253 @set fnord $$MAKEFLAGS; amf=$$2; \
254 dot_seen=no; \
255 target=`echo $@ | sed s/-recursive//`; \
256 list='$(SUBDIRS)'; for subdir in $$list; do \
257 echo "Making $$target in $$subdir"; \
258 if test "$$subdir" = "."; then \
259 dot_seen=yes; \
260 local_target="$$target-am"; \
261 else \
262 local_target="$$target"; \
263 fi; \
264 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
265 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
266 done; \
267 if test "$$dot_seen" = "no"; then \
268 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
269 fi; test -z "$$fail"
270
271mostlyclean-recursive clean-recursive distclean-recursive \
272maintainer-clean-recursive:
273 @set fnord $$MAKEFLAGS; amf=$$2; \
274 dot_seen=no; \
275 case "$@" in \
276 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
277 *) list='$(SUBDIRS)' ;; \
278 esac; \
279 rev=''; for subdir in $$list; do \
280 if test "$$subdir" = "."; then :; else \
281 rev="$$subdir $$rev"; \
282 fi; \
283 done; \
284 rev="$$rev ."; \
285 target=`echo $@ | sed s/-recursive//`; \
286 for subdir in $$rev; do \
287 echo "Making $$target in $$subdir"; \
288 if test "$$subdir" = "."; then \
289 local_target="$$target-am"; \
290 else \
291 local_target="$$target"; \
292 fi; \
293 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
294 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
295 done && test -z "$$fail"
296tags-recursive:
297 list='$(SUBDIRS)'; for subdir in $$list; do \
298 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
299 done
300ctags-recursive:
301 list='$(SUBDIRS)'; for subdir in $$list; do \
302 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
303 done
304
6de9cd9a
DN
305ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
306 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
307 unique=`for i in $$list; do \
308 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
309 done | \
310 $(AWK) ' { files[$$0] = 1; } \
311 END { for (i in files) print i; }'`; \
312 mkid -fID $$unique
159d5224 313tags: TAGS
6de9cd9a
DN
314
315TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
316 $(TAGS_FILES) $(LISP)
317 tags=; \
318 here=`pwd`; \
159d5224 319 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
6de9cd9a 320 include_option=--etags-include; \
159d5224 321 empty_fix=.; \
6de9cd9a
DN
322 else \
323 include_option=--include; \
159d5224 324 empty_fix=; \
6de9cd9a
DN
325 fi; \
326 list='$(SUBDIRS)'; for subdir in $$list; do \
327 if test "$$subdir" = .; then :; else \
159d5224 328 test ! -f $$subdir/TAGS || \
6de9cd9a
DN
329 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
330 fi; \
331 done; \
332 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
333 unique=`for i in $$list; do \
334 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
335 done | \
336 $(AWK) ' { files[$$0] = 1; } \
337 END { for (i in files) print i; }'`; \
159d5224
PB
338 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
339 test -n "$$unique" || unique=$$empty_fix; \
340 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
341 $$tags $$unique; \
342 fi
6de9cd9a
DN
343ctags: CTAGS
344CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
345 $(TAGS_FILES) $(LISP)
346 tags=; \
347 here=`pwd`; \
348 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
349 unique=`for i in $$list; do \
350 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
351 done | \
352 $(AWK) ' { files[$$0] = 1; } \
353 END { for (i in files) print i; }'`; \
354 test -z "$(CTAGS_ARGS)$$tags$$unique" \
355 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
356 $$tags $$unique
357
358GTAGS:
359 here=`$(am__cd) $(top_builddir) && pwd` \
360 && cd $(top_srcdir) \
361 && gtags -i $(GTAGS_ARGS) $$here
362
363distclean-tags:
364 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
6de9cd9a
DN
365
366distdir: $(DISTFILES)
367 $(am__remove_distdir)
368 mkdir $(distdir)
159d5224 369 $(mkdir_p) $(distdir)/..
6de9cd9a
DN
370 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
371 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
372 list='$(DISTFILES)'; for file in $$list; do \
373 case $$file in \
374 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
375 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
376 esac; \
377 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
378 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
379 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
380 dir="/$$dir"; \
159d5224 381 $(mkdir_p) "$(distdir)$$dir"; \
6de9cd9a
DN
382 else \
383 dir=''; \
384 fi; \
385 if test -d $$d/$$file; then \
386 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
387 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
388 fi; \
389 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
390 else \
391 test -f $(distdir)/$$file \
392 || cp -p $$d/$$file $(distdir)/$$file \
393 || exit 1; \
394 fi; \
395 done
396 list='$(SUBDIRS)'; for subdir in $$list; do \
397 if test "$$subdir" = .; then :; else \
159d5224
PB
398 test -d "$(distdir)/$$subdir" \
399 || mkdir "$(distdir)/$$subdir" \
6de9cd9a
DN
400 || exit 1; \
401 (cd $$subdir && \
402 $(MAKE) $(AM_MAKEFLAGS) \
159d5224
PB
403 top_distdir="../$(top_distdir)" \
404 distdir="../$(distdir)/$$subdir" \
6de9cd9a
DN
405 distdir) \
406 || exit 1; \
407 fi; \
408 done
409 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
410 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
411 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
412 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
413 || chmod -R a+r $(distdir)
414dist-gzip: distdir
415 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
416 $(am__remove_distdir)
417
159d5224
PB
418dist-bzip2: distdir
419 $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
420 $(am__remove_distdir)
421
422dist-tarZ: distdir
423 $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
424 $(am__remove_distdir)
425
426dist-shar: distdir
427 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
428 $(am__remove_distdir)
429
430dist-zip: distdir
431 -rm -f $(distdir).zip
432 zip -rq $(distdir).zip $(distdir)
433 $(am__remove_distdir)
434
6de9cd9a
DN
435dist dist-all: distdir
436 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
437 $(am__remove_distdir)
438
439# This target untars the dist file and tries a VPATH configuration. Then
440# it guarantees that the distribution is self-contained by making another
441# tarfile.
442distcheck: dist
159d5224
PB
443 case '$(DIST_ARCHIVES)' in \
444 *.tar.gz*) \
445 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
446 *.tar.bz2*) \
447 bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
448 *.tar.Z*) \
449 uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
450 *.shar.gz*) \
451 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
452 *.zip*) \
453 unzip $(distdir).zip ;;\
454 esac
6de9cd9a
DN
455 chmod -R a-w $(distdir); chmod a+w $(distdir)
456 mkdir $(distdir)/_build
457 mkdir $(distdir)/_inst
458 chmod a-w $(distdir)
459 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
460 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
461 && cd $(distdir)/_build \
462 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
463 $(DISTCHECK_CONFIGURE_FLAGS) \
464 && $(MAKE) $(AM_MAKEFLAGS) \
465 && $(MAKE) $(AM_MAKEFLAGS) dvi \
466 && $(MAKE) $(AM_MAKEFLAGS) check \
467 && $(MAKE) $(AM_MAKEFLAGS) install \
468 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
469 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
470 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
471 distuninstallcheck \
472 && chmod -R a-w "$$dc_install_base" \
473 && ({ \
159d5224 474 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
6de9cd9a
DN
475 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
476 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
477 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
478 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
479 } || { rm -rf "$$dc_destdir"; exit 1; }) \
480 && rm -rf "$$dc_destdir" \
159d5224
PB
481 && $(MAKE) $(AM_MAKEFLAGS) dist \
482 && rm -rf $(DIST_ARCHIVES) \
6de9cd9a
DN
483 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
484 $(am__remove_distdir)
159d5224
PB
485 @(echo "$(distdir) archives ready for distribution: "; \
486 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
487 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
6de9cd9a
DN
488distuninstallcheck:
489 @cd $(distuninstallcheck_dir) \
490 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
491 || { echo "ERROR: files left after uninstall:" ; \
492 if test -n "$(DESTDIR)"; then \
493 echo " (check DESTDIR support)"; \
494 fi ; \
495 $(distuninstallcheck_listfiles) ; \
496 exit 1; } >&2
497distcleancheck: distclean
498 @if test '$(srcdir)' = . ; then \
499 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
500 exit 1 ; \
501 fi
502 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
503 || { echo "ERROR: files left in build directory after distclean:" ; \
504 $(distcleancheck_listfiles) ; \
505 exit 1; } >&2
506check-am: all-am
507check: check-recursive
508all-am: Makefile config.h
509installdirs: installdirs-recursive
510installdirs-am:
6de9cd9a
DN
511install: install-recursive
512install-exec: install-exec-recursive
513install-data: install-data-recursive
514uninstall: uninstall-recursive
515
516install-am: all-am
517 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
518
519installcheck: installcheck-recursive
520install-strip:
521 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
50796c52 522 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
6de9cd9a
DN
523 `test -z '$(STRIP)' || \
524 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
525mostlyclean-generic:
526
527clean-generic:
528
529distclean-generic:
50796c52 530 -rm -f $(CONFIG_CLEAN_FILES)
6de9cd9a
DN
531
532maintainer-clean-generic:
533 @echo "This command is intended for maintainers to use"
534 @echo "it deletes files that may require special tools to rebuild."
535clean: clean-recursive
536
537clean-am: clean-generic mostlyclean-am
538
539distclean: distclean-recursive
540 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
50796c52 541 -rm -f Makefile
6de9cd9a
DN
542distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
543
544dvi: dvi-recursive
545
546dvi-am:
547
159d5224
PB
548html: html-recursive
549
6de9cd9a
DN
550info: info-recursive
551
552info-am:
553
554install-data-am:
555
556install-exec-am:
557
558install-info: install-info-recursive
559
560install-man:
561
562installcheck-am:
563
564maintainer-clean: maintainer-clean-recursive
565 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
566 -rm -rf $(top_srcdir)/autom4te.cache
50796c52 567 -rm -f Makefile
6de9cd9a
DN
568maintainer-clean-am: distclean-am maintainer-clean-generic
569
570mostlyclean: mostlyclean-recursive
571
572mostlyclean-am: mostlyclean-generic
573
574pdf: pdf-recursive
575
576pdf-am:
577
578ps: ps-recursive
579
580ps-am:
581
582uninstall-am: uninstall-info-am
583
584uninstall-info: uninstall-info-recursive
585
159d5224
PB
586.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
587 check-am clean clean-generic clean-recursive ctags \
588 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
589 dist-tarZ dist-zip distcheck distclean distclean-generic \
590 distclean-hdr distclean-recursive distclean-tags \
591 distcleancheck distdir distuninstallcheck dvi dvi-am html \
592 html-am info info-am install install-am install-data \
593 install-data-am install-exec install-exec-am install-info \
594 install-info-am install-man install-strip installcheck \
595 installcheck-am installdirs installdirs-am maintainer-clean \
596 maintainer-clean-generic maintainer-clean-recursive \
597 mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
598 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
599 uninstall-info-am
6de9cd9a
DN
600
601# Tell versions [3.59,3.63) of GNU make to not export all variables.
602# Otherwise a system limit (for SysV at least) may be exceeded.
603.NOEXPORT:
This page took 0.123215 seconds and 5 git commands to generate.